summaryrefslogtreecommitdiffstats
path: root/retiolum/bin/apply-custom-hosts-patches
diff options
context:
space:
mode:
Diffstat (limited to 'retiolum/bin/apply-custom-hosts-patches')
-rwxr-xr-xretiolum/bin/apply-custom-hosts-patches8
1 files changed, 8 insertions, 0 deletions
diff --git a/retiolum/bin/apply-custom-hosts-patches b/retiolum/bin/apply-custom-hosts-patches
new file mode 100755
index 00000000..2b2fda80
--- /dev/null
+++ b/retiolum/bin/apply-custom-hosts-patches
@@ -0,0 +1,8 @@
+#! /bin/sh
+set -euf
+
+patch=/etc/tinc/retiolum/hosts.patch
+
+if test -e $patch; then
+ patch -N -d /etc/tinc/retiolum/hosts -r - < $patch
+fi